/* unit unforcoo simple void to change coordinate systems */

#include <math.h>
#include "unforcoo.h"
#include "unforfun.h"

 void descfromsphercoor ( double azt , double alt , double ro ,
                          double posdescart[4] )
 {
   double cb ;
 
   cb = cos(alt);
   posdescart[1] = ro*cos(azt)*cb;
   posdescart[2] = ro*sin(azt)*cb;
   posdescart[3] = ro*sin(alt);
 }

 void sphericoorindegree ( double poscart[4] , /* from descart position */
                           double *alpha , double *delta, double *range )
 {
   double  r,rr,q,qq,p,f,s,c ;
 
   qq = sqr(poscart[1])+sqr(poscart[2]);  /* function sqr from unforfun */
   rr = qq+sqr(poscart[3]);
   r = sqrt(rr);
   q = sqrt(qq);
   p = 1/q;
   f = 1/r;
   c = p*poscart[1];
   s = p*poscart[2];
   *alpha = atandegree(s,c); /* unforfun in degree */
   c = q*f;
   s = poscart[3]*f;
   *delta = (180.0/M_PI)*datan2(s,c); /* unforfun in degree */
   *range = r;
 }

