
 void crona ( double  c[51] ) ;

 void elemc ( double  ai ,       // inclination in degree
              double  ae ,       // eccentricity
              double  anob  ,    // mean motion in revolution per day
              double  c[51] ) ;  // output : result array coefficients

 /*
   te    modified julian day
   ao    argument of perigei in degree
   au    the ascending node in degree
   ai    inclination in degree
   ae    eccentricity
   am    mean anomaly in degree
   anob  mean motion in revolution per day
 */

 void fromnoradtodescart
                 ( double  te ,   // input : elements epoch mjd
                   double  ao ,   // input : argument of perigei in degree
                   double  au ,   // input : the ascending node in degree
                   double  ai ,   // input : inclination in degree
                   double  ae ,   // input : eccentricity
                   double  am ,   // input : mean anomaly in degree
                   double  anob , // input : mean motion in revolution per day
                   double  dnob , // input : change of mean motion rev./day^2
                   double  tc ,      // input : current moment for position
                   double  xx[4] ,   // output : position vector in km
                   double  vv[4] ) ; // output : velosity vector in km

 void alei ( double  c[51] ) ;

 void fromdescarttonorad
                 ( double  t ,       // input : current moment for position
                   double  xx[4] ,   // input : position vector in km
                   double  vv[4] ,   // input : velosity vector in km
                   double  *tep ,    // output : elements epoch mjd
                   double  *ao ,     // output : argument of perigei in degree
                   double  *au ,     // output : the ascending node in degree
                   double  *ai ,     // output : inclination in degree
                   double  *ae ,     // output : eccentricity
                   double  *am ,     // output : mean anomaly in degree
                   double  *anob ,   // output : mean motion in rev. per day
                   double  *dnob ) ; // output : change of mean mot. rev./day^2
                   
