
double fromaxistomot ( double a ) ;    /* semimajor axis in AU */

double keplerequation ( double eleme , double meananom ) ;

void fromcarttokepler ( double start ,                        /*  input */
                        double poscur[4] , double velcur[4] , /*  input */
                        double finish ,                       /*  input */
                        double posvar[4] , double angvar[4] ) ;/* output */

void fromkeplertocart ( double start ,                  /*  input */
                        double posvar[4] ,              /*  input */
                        double angvar[4] ,              /*  input */
                        double finish ,                 /*  input */
                        double pos[4] , double vel[4] ); /* output */

/*
   output
   by using astronomical unit value
   position pos 1,2,3  : x,y,z in km
   velosity vel 1,2,3  : vx,vy,vz in km/sec
*/

void fromkeplertokarm ( double elepo ,    /* input mjd */
                        double pose[4] ,  /* input a(AU) e i(degree) */
                        double ange[4] ,  /* input three angle(degr) */
                        double tcur ,     /* input mjd */
                        double pos[4] ,   /* output kilometer */
                        double vel[4] ) ; /* output kilometer/second */
